---
title: Fetch section by ID
slug: content-recommendations/api/fetch-section-by-id
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "ry3jgom5fw75MiZGqtEWz",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.usea01.idio.episerver.net/1.0/sections/{id}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/sections/{id}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Fetch section by ID",
    "description": "Retrieve detailed information about a specific section.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "array",
          "description": "<p>Section IDs (csv)</p>",
          "uniqueItems": true,
          "schema": [],
          "itemType": "integer",
          "customType": "integer[]"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Array of sections.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "SectionList",
            "schema": [
              {
                "name": "sections",
                "kind": "required",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/SectionItem",
                "customType": "SectionItem[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "integer",
                    "description": "",
                    "example": 42
                  },
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "example": "Technology News"
                  },
                  {
                    "name": "content_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "",
                    "example": "https://api.usea01.idio.episerver.net/1.0/sections/42/content",
                    "format": "url"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/SectionList",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "One or more of the sections do not exist.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "xC8MnYJm8n4C7-9vaZyUW",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.usea01.idio.episerver.net/1.0/sections/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "q3I3fmFxopLKMnA0dFIU9",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/sections/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "RY79RRGm0fkCMKh0oV2xz",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/sections/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ZRGHItHDFk_ZZ34XHPjta",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/sections/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "xC8MnYJm8n4C7-9vaZyUW"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Array of sections.\n{\n  \"sections\": [\n    {\n      \"id\": 42,\n      \"title\": \"Technology News\",\n      \"content_url\": \"https://api.usea01.idio.episerver.net/1.0/sections/42/content\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// One or more of the sections do not exist.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}